# Record TCefServer

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefServer = record`

## Description

Structure representing a server that supports HTTP and WebSocket requests. Server capacity is limited and is intended to handle only a small number of simultaneous connections (e.g. for communicating between applications on localhost). The functions of this structure are safe to call from any thread in the brower process unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefServer.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_server_capi.h">CEF source file: /include/capi/cef_server_capi.h (cef_server_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_task_runner: function(self: PCefServer): PCefTaskRunner; stdcall;`
| `shutdown: procedure(self: PCefServer); stdcall;`
| `is_running: function(self: PCefServer): Integer; stdcall;`
| `get_address: function(self: PCefServer): PCefStringUserFree; stdcall;`
| `has_connection: function(self: PCefServer): Integer; stdcall;`
| `is_valid_connection: function(self: PCefServer; connection_id: Integer): Integer; stdcall;`
| `send_http200_response: procedure(self: PCefServer; connection_id: Integer; const content_type: PCefString; const data: Pointer; data_size: NativeUInt); stdcall;`
| `send_http404_response: procedure(self: PCefServer; connection_id: Integer); stdcall;`
| `send_http500_response: procedure(self: PCefServer; connection_id: Integer; const error_message: PCefString); stdcall;`
| `send_http_response: procedure(self: PCefServer; connection_id, response_code: Integer; const content_type: PCefString; content_length: int64; extra_headers: TCefStringMultimap); stdcall;`
| `send_raw_data: procedure(self: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;`
| `close_connection: procedure(self: PCefServer; connection_id: Integer); stdcall;`
| `send_web_socket_message: procedure(self: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_task_runner: function(self: PCefServer): PCefTaskRunner; stdcall;`
This item has no description.

| `shutdown: procedure(self: PCefServer); stdcall;`
This item has no description.

| `is_running: function(self: PCefServer): Integer; stdcall;`
This item has no description.

| `get_address: function(self: PCefServer): PCefStringUserFree; stdcall;`
This item has no description.

| `has_connection: function(self: PCefServer): Integer; stdcall;`
This item has no description.

| `is_valid_connection: function(self: PCefServer; connection_id: Integer): Integer; stdcall;`
This item has no description.

| `send_http200_response: procedure(self: PCefServer; connection_id: Integer; const content_type: PCefString; const data: Pointer; data_size: NativeUInt); stdcall;`
This item has no description.

| `send_http404_response: procedure(self: PCefServer; connection_id: Integer); stdcall;`
This item has no description.

| `send_http500_response: procedure(self: PCefServer; connection_id: Integer; const error_message: PCefString); stdcall;`
This item has no description.

| `send_http_response: procedure(self: PCefServer; connection_id, response_code: Integer; const content_type: PCefString; content_length: int64; extra_headers: TCefStringMultimap); stdcall;`
This item has no description.

| `send_raw_data: procedure(self: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;`
This item has no description.

| `close_connection: procedure(self: PCefServer; connection_id: Integer); stdcall;`
This item has no description.

| `send_web_socket_message: procedure(self: PCefServer; connection_id: Integer; const data: Pointer; data_size: NativeUInt); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.